delete storage credential.md
Delete Storage Credential
Media API · Storage
DELETE https://app.mk.io/api/v1/projects/{project_name}/media/storage/{storage_name}/credentials/{credential_id}
Removes a Storage Credential from the Storage instance. If the Storage Credential is in use and no alternative Storage Credentials are available, the Storage instance will be inaccessible.
RBAC Capability Required: infra.storagetoken.delete
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
storage_name |
string | Yes | — |
credential_id |
string | Yes | format: uuid |
Example request
curl -X DELETE "https://app.mk.io/api/v1/projects/{project_name}/media/storage/{storage_name}/credentials/{credential_id}" \
-H "Authorization: Bearer <token>"
Responses
204 — Storage Credential deleted
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: media-api · operationId: [delete]_/api/v1/projects/{project_name}/media/storage/{storage_name}/credentials/{credential_id}